Bug 44575 - App Appliance: Adapt system setup cleanup script
App Appliance: Adapt system setup cleanup script
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Erik Damrose
Dirk Wiesenthal
:
Depends on:
Blocks: 44513 44952
  Show dependency treegraph
 
Reported: 2017-05-10 14:23 CEST by Erik Damrose
Modified: 2017-07-07 09:55 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.137
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Appliance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2017-05-10 14:23:27 CEST
In App appliances, a prejoined domain environment can be enabled to have a fast demo experience with an App. A script is used to clean up remains of that setup, should a normal UCS domain setup be chosen during system setup.

The cleanup script has to be adapted for UCS 4.2
Comment 1 Erik Damrose univentionstaff 2017-05-10 14:30:27 CEST
The univention-portal joinscript could not be executed when setting up a new domain, because the ucs-local-to-domain portal entry object was not recreated. Adapted cleanup script to ensure the entry will be recreated by the joinscript

r79274 univention-system-setup 10.0.10-15A~4.2.0.201705101428
r79275 yaml
Comment 2 Erik Damrose univentionstaff 2017-06-15 09:24:20 CEST
Resolved, worked in my tests. For QA, a recent test build of a 4.2 App Appliance should be used. Select the setup of a new UCS domain in system setup, finish the setup and activate the appliance. The portal entry object 'ucs-local-to-domain should only contain the ip address and hostname that was selected in system setup.
Comment 3 Dirk Wiesenthal univentionstaff 2017-06-19 14:22:19 CEST
Code: OK
YAML: OK
Comment 4 Janek Walkenhorst univentionstaff 2017-06-19 15:04:55 CEST
<http://errata.software-univention.de/ucs/4.2/50.html>